<template>
  <lazy-theme-desktop-main-lottery
    v-if="['desktop/main', 'desktop/global', 'desktop/playful'].includes(theme)"
  />
  <lazy-theme-mobile-modern-lottery v-else-if="theme === 'mobile/modern'" />
  <lazy-theme-desktop-modern-lottery v-else-if="theme === 'desktop/modern'" />
  <lazy-theme-desktop-china-lottery v-else-if="theme === 'desktop/china'" />
  <lazy-theme-desktop-black-lottery v-else-if="theme === 'desktop/black'" />
  <lazy-theme-desktop-sbo-lottery v-else-if="theme === 'desktop/sbo'" />
  <lazy-theme-mobile-sbo-lottery v-else-if="theme === 'mobile/sbo'" />
  <lazy-theme-desktop-cool88-lottery v-else-if="theme === 'desktop/cool88'" />
  <lazy-theme-desktop-bk8-lottery v-else-if="theme === 'desktop/bk8'" />
  <lazy-theme-mobile-black-lottery v-else-if="theme === 'mobile/black'" />
  <lazy-theme-mobile-main-lottery-2 v-else-if="theme === 'mobile/main'" />
  <lazy-theme-mobile-main-lottery-2 v-else-if="theme === 'mobile/playful'" />
  <lazy-theme-mobile-main-lottery-2 v-else-if="theme === 'mobile/global'" />
  <lazy-theme-desktop-peru-lottery v-else-if="theme.includes('/peru')" />
</template>

<script lang="ts" setup>
defineProps({
  theme: {
    type: String,
    default: "",
  },
});
</script>
